"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Params {
    constructor(properties) {
        this.mJson = properties.mainJson;
    }
    getJson() {
        return this.mJson;
    }
}
Params.Builder = class {
    constructor() {
        this.mainJson = {};
    }
    addParam(key, value) {
        this.mainJson[key] = value;
        return this;
    }
    build() {
        return new Params(this);
    }
};
exports.default = Params;
