import { Double } from "react-native/Libraries/Types/CodegenTypes";
import SiteCentricProperty from "./classes/siteCentricProperty";
import SiteCentricCFlag from "./classes/siteCentricCFlag";
import Action from "./classes/action";
declare class EaGeneric {
    mInternals: any;
    mPages: any;
    mProperties: any;
    constructor(builder: any);
    getJson(): Record<string, any>;
    static Builder: {
        new (path: string): {
            properties: Record<string, any>;
            internals: Record<string, any>;
            pages: Record<string, any>;
            initInternalParams(): Record<string, any>;
            set(key: string, value: any): any;
            setLocation(latitude: Double, longitude: Double): any;
            setNewCustomer(newCustomer: boolean): any;
            setEmail(email: string): any;
            setPageGroup(group: string): any;
            setProfile(profile: string): any;
            setUID(uid: string): any;
            setAction(action: Action): any;
            setProperty(property: SiteCentricProperty): any;
            setCFlag(cflag: SiteCentricCFlag): any;
            build(): EaGeneric;
        };
        setAndroidInstallReferrer(value: string): void;
    };
}
export default EaGeneric;
