"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const eaGeneric_1 = __importDefault(require("./eaGeneric"));
const KEY_PRODUCTS = "products";
class EAProducts extends eaGeneric_1.default {
    // Dichiarazione della proprietà mJson
    constructor(builder) {
        super(builder);
        this.mJson = builder.mainJson;
    }
}
EAProducts.Builder = class extends eaGeneric_1.default.Builder {
    constructor(reference) {
        super(reference);
        this.jsonProducts = [];
        this.mainJson = {
            ref: reference,
        };
    }
    addProduct(product) {
        this.jsonProducts.push(product.getJson());
        return this;
    }
    build() {
        var eaProducts = new EAProducts(this);
        super.set(KEY_PRODUCTS, this.jsonProducts);
        return eaProducts;
    }
};
exports.default = EAProducts;
