"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const eaGeneric_1 = __importDefault(require("./eaGeneric"));
class EASearch extends eaGeneric_1.default {
    constructor(properties) {
        super(properties);
    }
}
EASearch.Builder = class extends eaGeneric_1.default.Builder {
    constructor(path) {
        super(path);
        this.properties = {};
        this.path = path;
    }
    set(key, value) {
        this.properties[key] = value;
        return this;
    }
    setName(name) {
        this.properties.isearchengine = name;
        return this;
    }
    setResults(results) {
        this.properties.isearchresults = results;
        return this;
    }
    setParams(params) {
        this.properties.isearchparams = params.getJson();
        return this;
    }
    build() {
        return new EASearch(this);
    }
};
exports.default = EASearch;
