declare class PersistentIdentity {
    static getValue(key: string): Promise<string | null>;
    static setValue(key: string, value: string): Promise<void>;
    static shouldFetchInstallReferrer(): Promise<boolean>;
    static isInstallReferrerSent(): Promise<boolean>;
    static getInstallReferrer(): Promise<string | null>;
    static getAdvertisingId(): Promise<string | null>;
    static getAdvertisingIsLat(): Promise<boolean>;
    static saveInstallReferrer(value: string): Promise<void>;
    static shouldSendInstallReferrer(): Promise<boolean | "" | null>;
    static setInstallReferrerSent(): Promise<void>;
}
export default PersistentIdentity;
