import EaGeneric from "./eaGeneric";
import Product from "./classes/product";
declare class EAEstimate extends EaGeneric {
    mJson: any;
    constructor(builder: any);
    getJson(): any;
    static Builder: {
        new (path: string): {
            mainJson: Record<string, any>;
            products: Record<string, any>;
            path: string;
            ref: string;
            init(): void;
            setRef(ref: string): any;
            set(key: string, value: any): any;
            setAmount(amount: number): any;
            setCurrency(currency: string): any;
            setType(type: string): any;
            addProduct(product: Product, amount: number, quantity: number): any;
            build(): EAEstimate;
            properties: Record<string, any>;
            internals: Record<string, any>;
            pages: Record<string, any>;
            initInternalParams(): Record<string, any>;
            setLocation(latitude: number, longitude: number): any;
            setNewCustomer(newCustomer: boolean): any;
            setEmail(email: string): any;
            setPageGroup(group: string): any;
            setProfile(profile: string): any;
            setUID(uid: string): any;
            setAction(action: import("./classes/action").default): any;
            setProperty(property: import("./classes/siteCentricProperty").default): any;
            setCFlag(cflag: import("./classes/siteCentricCFlag").default): any;
        };
        setAndroidInstallReferrer(value: string): void;
    };
}
export default EAEstimate;
