import EaGeneric from "./eaGeneric";
import Product from "./classes/product";
declare class EAOrder extends EaGeneric {
    properties: any;
    constructor(builder: any);
    getProperties(): any;
    static Builder: {
        new (path: string): {
            properties: Record<string, any>;
            path: string;
            setRef(ref: string): any;
            setAmount(amount: number): any;
            setCurrency(currency: string): any;
            setType(type: string): any;
            setPayment(payment: string): any;
            setEstimateRef(estimateRef: string): any;
            addProduct(product: Product, amount: number, quantity: number): any;
            getProperties(): Record<string, any>;
            build(): EAOrder;
            internals: Record<string, any>;
            pages: Record<string, any>;
            initInternalParams(): Record<string, any>;
            set(key: string, value: any): any;
            setLocation(latitude: number, longitude: number): any;
            setNewCustomer(newCustomer: boolean): any;
            setEmail(email: string): any;
            setPageGroup(group: string): any;
            setProfile(profile: string): any;
            setUID(uid: string): any;
            setAction(action: import("./classes/action").default): any;
            setProperty(property: import("./classes/siteCentricProperty").default): any;
            setCFlag(cflag: import("./classes/siteCentricCFlag").default): any;
        };
        setAndroidInstallReferrer(value: string): void;
    };
}
export default EAOrder;
