import EaGeneric from "./eaGeneric";
import Params from "./classes/params";
declare class EASearch extends EaGeneric {
    properties: any;
    constructor(properties: any);
    static Builder: {
        new (path: string): {
            properties: Record<string, any>;
            path: string;
            set(key: string, value: any): any;
            setName(name: string): any;
            setResults(results: number): any;
            setParams(params: Params): any;
            build(): EASearch;
            internals: Record<string, any>;
            pages: Record<string, any>;
            initInternalParams(): Record<string, any>;
            setLocation(latitude: number, longitude: number): any;
            setNewCustomer(newCustomer: boolean): any;
            setEmail(email: string): any;
            setPageGroup(group: string): any;
            setProfile(profile: string): any;
            setUID(uid: string): any;
            setAction(action: import("./classes/action").default): any;
            setProperty(property: import("./classes/siteCentricProperty").default): any;
            setCFlag(cflag: import("./classes/siteCentricCFlag").default): any;
        };
        setAndroidInstallReferrer(value: string): void;
    };
}
export default EASearch;
